Bug 328131 - VPN menu is shown when NM-vpnc is not installed
VPN menu is shown when NM-vpnc is not installed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-10-11 14:49 EDT by Zack Cerza
Modified: 2009-07-14 13:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2007-10-11 14:49:38 EDT
Description of problem:
nm-applet has the "VPN Connections" menu, even when there is no VPN software
installed. Clicking on "Configure..." gives you this not-so-helpful message:

"No suitable VPN software was found on your system. Contact your system
administrator."

I'm thinking either NM should help you install the necessary software, or it
should just hide the menu if you don't have it.

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.3.svn2914.fc8
NetworkManager-0.7.0-0.3.svn2914.fc8
NetworkManager-glib-0.7.0-0.3.svn2914.fc8
NetworkManager-debuginfo-0.7.0-0.3.svn2914.fc8
Comment 1 Bug Zapper 2008-05-13 23:21:56 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jessica Sterling 2009-03-03 12:31:24 EST
Dan, how would you like to handle this?  Would you be able to fix this in version 9, or just 10, or just rawhide?  Should we open bugs for each release?
Comment 3 Dan Williams 2009-03-03 12:47:20 EST
Nah, one bug is fine.  This one is somewhat further down the priority list and may not be fixed for a few months or so though.  Essentially the same NetworkManager sources get built for F9, F10 and rawhide, so one bug should cover it.
Comment 4 Bug Zapper 2009-06-09 18:55:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 13:51:46 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.